#include <stdio.h>

int daLiJeBrojParan(int broj) {
	if(broj % 2 == 0) {
		return 1;
	} else {
		return -1;
	}
}

int stepenBroja(int broj, int stepen) {
	int stepenovanBroj = 1;
	while(stepen > 0) {
		stepenovanBroj = stepenovanBroj * broj;
		stepen--;
	}
	return stepenovanBroj;
}

int rezultatIzraza(int A, int B, int x, int y) {
	int rezultat;
	rezultat = stepenBroja(A, x) + stepenBroja(B, x + y);
	return rezultat;
}

int daLiJeBrojProst(int broj) {
	int i;
	for(i = 2; i <= broj/2; i++) {
		if(broj % i == 0) {
			return -1;
		}
	}
	return 1;
}

int brojProstihBrojevaNaIntervalu(int a, int b) {
	int brojac = 0;
	int i;
	for(i = a; i <= b; i++) {
		if(daLiJeBrojProst(i) == 1) {
			brojac++;
		}
	}
	return brojac;
}

int zbirCifaraBroja(int broj) {
	int zbir = 0;
	while(broj > 0) {
		zbir = zbir + (broj % 10);
		broj = broj/10;
	}
	return zbir;
}

int brojProstihBrojevaZbirCifaraDeljivivSaTriNaIntervalu(int a, int b) {
	int brojac = 0;
	int i;
	for(i = a; i <= b; i++) {
		if((daLiJeBrojProst(i) == 1) && (zbirCifaraBroja(i) % 3 == 0)) {
			brojac++;
		}
	}
	return brojac;
}

void testParnogBroja() {
	int broj;
	printf("Unesite broj: ");
	scanf("%d", &broj);
	if(daLiJeBrojParan(broj) == 1) {
		printf("Broj je paran!\n");
	} else {
		printf("Broj nije paran!\n");
	}
}

void testStepenaBroja() {
	int broj, stepen;
	printf("Unesite broj: ");
	scanf("%d", &broj);
	printf("Unesite stepen: ");
	scanf("%d", &stepen);
	printf("Rezultat je: %d\n", stepenBroja(broj, stepen));
}

void testIzraza() {
	int A, B, x, y;
	printf("*** Izraz: A^x + B^(x+y) ***\n");
	printf("Unesite A: ");
	scanf("%d", &A);
	printf("Unesite B: ");
	scanf("%d", &B);
	printf("Unesite x: ");
	scanf("%d", &x);
	printf("Unesite y: ");
	scanf("%d", &y);
	printf("Rezultat izraza je: %d\n" , rezultatIzraza(A, B, x, y));
}

void testProstogBroja() {
	int broj;
	printf("Unesite broj: ");
	scanf("%d", &broj);
	if(daLiJeBrojProst(broj) == 1) {
		printf("Broj je prost!\n");
	} else {
		printf("Broj nije prost!\n");
	}
}

void testBrojaProstihBrojevaNaIntervalu() {
	int a, b;
	printf("Unesite a: ");
	scanf("%d", &a);
	printf("Unesite b: ");
	scanf("%d", &b);
	printf("Broj prostih brojeva na intervalu od a do b je: %d\n", brojProstihBrojevaNaIntervalu(a,b));
}

void testZbiraCifaraBroja() {
	int broj;
	printf("Unesite broj: ");
	scanf("%d", &broj);
	printf("Zbir cifara unetog broja je: %d\n", zbirCifaraBroja(broj));
}

void testProstihBrojevaZbirCifaraDeljivihSaTriNaIntervalu() {
	int a, b;
	printf("Unesite a: ");
	scanf("%d", &a);
	printf("Unesite b: ");
	scanf("%d", &b);
	printf("Broj prostih brojeva na intervalu od a do b ciji je zbir cifara deljiv sa 3 je: %d\n", brojProstihBrojevaZbirCifaraDeljivivSaTriNaIntervalu(a, b));
}

void test() {
//	testParnogBroja();
//	testStepenaBroja();
//	testIzraza();
//	testProstogBroja();
//	testBrojaProstihBrojevaNaIntervalu();
//	testZbiraCifaraBroja();
//	testProstihBrojevaZbirCifaraDeljivihSaTriNaIntervalu();
}

int main(void) {
	test();
	return 0;
}